Forum: Ruby Ruby 1.8.6 One-Click Installer

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
dima (Guest)
on 2007-03-16 17:35
(Received via mailing list)
Does somebody know when the Ruby 1.8.6 One-Click Installer will be
ready for downloading?
David P. (Guest)
on 2007-03-18 03:54
Hi there,

I too would like to know this ?

Without this, how do you upgrade on a Windows XP platform ?

regards, Daveo

dima wrote:
> Does somebody know when the Ruby 1.8.6 One-Click Installer will be
> ready for downloading?
Joel VanderWerf (Guest)
on 2007-03-18 04:33
(Received via mailing list)
David P. wrote:
>> ready for downloading?
>
>

The OCI isn't the only way to go, though it may be worth waiting for.

There are usually windows binaries posted on

http://www.ruby-lang.org/en/downloads/

but only 1.8.5 is there now.

You can build ruby yourself on windows, using one of gcc (cygwin or
mingw) or the free-download MS compilers. (The NEWS file claims "build
tools support" for Visual C++ 8 SP1, so maybe you don't have to use VC6
any more.)
unknown (Guest)
on 2007-03-18 05:52
(Received via mailing list)
Quoting Joel VanderWerf <removed_email_address@domain.invalid>:

> >> Does somebody know when the Ruby 1.8.6 One-Click Installer will be
> >> ready for downloading?
> >
> >
>
> The OCI isn't the only way to go, though it may be worth waiting for.
It's definitely worth waiting for!

> You can build ruby yourself on windows, using one of gcc (cygwin or
> mingw) or the free-download MS compilers. (The NEWS file claims "build
> tools support" for Visual C++ 8 SP1, so maybe you don't have to use VC6
> any more.)
Cygwin and MSys/mingw are definitely deprecated. The OCI is built now
with a
Windows compiler, although I've forgotten which one.
Curt H. (Guest)
on 2007-03-18 08:12
(Received via mailing list)
On 3/17/07, David P. <removed_email_address@domain.invalid> wrote:

> > ready for downloading?
I just released it a few minutes ago.

Curt
Stephan Kämper (Guest)
on 2007-03-18 12:56
(Received via mailing list)
Curt H. wrote:
>> dima wrote:
>> > Does somebody know when the Ruby 1.8.6 One-Click Installer will be
>> > ready for downloading?
>
>
> I just released it a few minutes ago.

And it's available here: http://rubyforge.org/projects/rubyinstaller/

BTW, who takes care of updating the download from
http://www.ruby-lang.org/en/? I'm just asking because the download at
http://www.ruby-lang.org/en/downloads/ is still 1.8.5-21.

Happy rubying

Stephan
Nando S. (Guest)
on 2007-03-18 17:57
Stephan Kämper wrote:
> Curt H. wrote:
>>> dima wrote:
>>> > Does somebody know when the Ruby 1.8.6 One-Click Installer will be
>>> > ready for downloading?
>>
>>
>> I just released it a few minutes ago.
>
> And it's available here: http://rubyforge.org/projects/rubyinstaller/
>
> BTW, who takes care of updating the download from
> http://www.ruby-lang.org/en/? I'm just asking because the download at
> http://www.ruby-lang.org/en/downloads/ is still 1.8.5-21.
>
> Happy rubying
>
> Stephan

I think you need to send an e-mail to removed_email_address@domain.invalid, may 
be
they can update the link there... there must be a way to include some
nice Ruby code to automatically update these links whenever a new
version is available :)

Regards,

Nando
dima (Guest)
on 2007-03-18 23:01
(Received via mailing list)
You are my heroes!

I have built it but I like to install it from official installation. I
have few XPs and it is the straightforward way to change to new
version.

Thank you once again.
This topic is locked and can not be replied to.